# $Revision: 1.12 $, $Date: 2007-12-24 11:23:27 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	CGI
%define		pnam	Minimal
Summary:	CGI::Minimal - a lightweight CGI form processing package
Summary(pl.UTF-8):	CGI::Minimal - lekki pakiet do przetwarzania formularzy CGI
Name:		perl-CGI-Minimal
Version:	1.29
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/CGI/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	76c659dc5f32018d2158d2427d549f35
URL:		http://search.cpan.org/dist/CGI-Minimal/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides a micro-weight alternative to the CPAN CGI.pm
module. Rather than attempt to address every possible need of a CGI
programmer, it provides the _minimum_ functions needed for CGI such as
form decoding (including file upload forms), URL encoding and
decoding, HTTP usable date generation (RFC1123 compliant dates) and
_basic_ escaping and unescaping of HTMLized text.

The form decoding interface is somewhat compatible with the CGI.pm
module. No provision is made for generating HTTP or HTML on your
behalf - you are expected to be conversant with how to put together
any HTML or HTTP you need.

%description -l pl.UTF-8
Ten pakiet dostarcza bardzo lekką alternatywę dla modułu CPAN CGI.pm.
Zamiast próbować sprostać wszelkim możliwym potrzebom programisty CGI,
ten moduł dostarcza _minimalne_ funkcje potrzebne dla CGI, takie jak
dekodowanie formularzy (włącznie z przysyłaniem plików), kodowanie i
dekodowanie URL-i, generowanie użytecznego w HTTP formatu daty
(zgodnego z RFC1123) oraz _podstawowe_ traktowanie znaków specjalnych
(escape/unescape) w tekście HTML.

Interfejs do dekodowania formularzy jest częściowo kompatybilny z
modułem CGI.pm. Natomiast nie ma generowania HTTP czy HTML za
programistę - to on ma wiedzieć, jak umieścić potrzebny mu HTML czy
HTTP.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/CGI/Minimal.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%{perl_vendorlib}/CGI/Minimal.pm
%{perl_vendorlib}/CGI/Minimal
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-CGI-Minimal.spec,v $
Revision 1.12  2007-12-24 11:23:27  qboosh
- generic URL

Revision 1.11  2007-12-23 22:53:13  zbyniu
- up to 1.29

Revision 1.10  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.8  2006/05/24 08:09:34  blaass
- up to 1.25

Revision 1.7  2006/02/17 14:53:28  glen
- 1.24

Revision 1.6  2004/11/15 19:02:42  paladine
- updated to 1.16

Revision 1.5  2004/11/11 22:00:04  paladine
- updated to 1.15

Revision 1.4  2004/11/03 22:30:08  paladine
- formatting

Revision 1.3  2004/11/01 21:25:54  adamg
- updated to 1.14

Revision 1.2  2004/04/17 18:00:50  ankry
- license/summary/description fixes

Revision 1.1  2004/01/07 10:58:57  qboosh
- new
